<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
  extension-element-prefixes="java util"
  exclude-result-prefixes="java util">

  <xsl:include href="common.xsl"/>
  <xsl:include href="crossref-inter.xsl"/>

  <xsl:output method="html"/> 
  
  <xsl:template match="Chapter|FootnoteList">    
    <html>
      <head>
	<title><xsl:apply-templates select="Title/Text"/></title>
	<link rel="stylesheet" href="../../style.css" type="text/css"/>
      </head>
      <body>
        <table width="90%" border="0" align="center"><tr><td>
	<h2><xsl:value-of select="/Manual/Heading/Text"/>&#160;<xsl:value-of select="/Manual/Title/Text"/></h2>
	<a name="Chapter_{@id}"/><h1>
	  <xsl:if test="not(starts-with(@id, 'appendix') or starts-with(@id, 'biblio'))">
	  Chapter <xsl:number/>&#160;</xsl:if><xsl:apply-templates select="Title/Text"/></h1>
	
	<xsl:if test="Content/Section">
	<h3>Contents</h3>	
	<xsl:apply-templates select="Content/Section" mode="index"/>
	</xsl:if>

	<xsl:apply-templates select="Content/*"/>	
	
	<xsl:if test="descendant::FootnoteRef and not(name()='FootnoteList')">
  	<hr/>
	  <xsl:for-each select="descendant::FootnoteRef">
	  <xsl:variable name="fnrefname"><xsl:value-of select="@id"/></xsl:variable>
	  <xsl:variable name="number"><xsl:number count="FootnoteRef" level="any" from="Chapter"/></xsl:variable>  		  
	  <xsl:for-each select="/Manual/FootnoteList/Footnote[@id=$fnrefname]">
		<!--<a name="fn{@id}"/><a href="#fnref{@id}">[<xsl:number/>]</a>&#160;-->		
    <a name="fn{@id}"/><a href="#fnref{@id}">[<xsl:value-of select="$number"/>]</a>
		<xsl:apply-templates/>
		<br/>		
     </xsl:for-each>     
	  </xsl:for-each>
	</xsl:if>
	</td></tr></table>
      </body>
    </html>    
  </xsl:template>  
</xsl:stylesheet> 
